//The HUD script file. Things that appear on the screen but not on the world.

local function HUD(v, player)
	if player.mo and player.valid and not (player.powers[pw_carry] == CR_NIGHTSMODE)
		if player.playerstate != PST_DEAD
			hud.enable("score")
			hud.enable("time")
			hud.enable("rings")
			hud.enable("lives")
		else
			if player.mo.skin == "henry"
				hud.disable("score")
				hud.disable("time")
				hud.disable("rings")
				hud.disable("lives")
			end	
		end
	end	
	if player.mo and player.valid and not (player.powers[pw_carry] == CR_NIGHTSMODE)
	and player.mo.skin == "henry"	
		if not player.failscreen
			if (player.jetpack == false and player.scooter == false and player.teleporter == false and player.ginv == false)
				v.drawScaled((100-13)*FRACUNIT, 188*FRACUNIT, FRACUNIT/3, v.cachePatch("NONEEQUIPPED"), V_HUDTRANS|V_20TRANS|V_SNAPTOBOTTOM|V_SNAPTOLEFT)
			else
				v.drawScaled((100-13)*FRACUNIT, 188*FRACUNIT, FRACUNIT/3, v.cachePatch("ITEMEQUIPPED"), V_HUDTRANS|V_20TRANS|V_SNAPTOBOTTOM|V_SNAPTOLEFT, v.getColormap("sonic", player.mo.color))
				if player.jetpack == true
					v.drawScaled((100-13)*FRACUNIT, 188*FRACUNIT, FRACUNIT/3, v.cachePatch("GBJETPACK"), V_HUDTRANS|V_20TRANS|V_SNAPTOBOTTOM|V_SNAPTOLEFT)
				end
				if player.scooter == true
					v.drawScaled((100-13)*FRACUNIT, 188*FRACUNIT, FRACUNIT/3, v.cachePatch("GBSCOOTER"), V_HUDTRANS|V_20TRANS|V_SNAPTOBOTTOM|V_SNAPTOLEFT)
				end
				if player.teleporter == true
					v.drawScaled((100-13)*FRACUNIT, 188*FRACUNIT, FRACUNIT/3, v.cachePatch("GBTELE"), V_HUDTRANS|V_20TRANS|V_SNAPTOBOTTOM|V_SNAPTOLEFT)
				end
				if player.ginv == true
					v.drawScaled((100-13)*FRACUNIT, 188*FRACUNIT, FRACUNIT/3, v.cachePatch("GBGRAVITY"), V_HUDTRANS|V_20TRANS|V_SNAPTOBOTTOM|V_SNAPTOLEFT)
				end
			end	
			if player.gadgetbox == true
				//v.drawScaled(-500*FRACUNIT, -100*FRACUNIT, FRACUNIT*100, v.cachePatch("BLACKBG"), V_50TRANS)
				v.fadeScreen(0xFF00	, 25)
				if player.item
					if player.item >= 65
						local textx = 160
						local texty = 100
						if player.cmd.sidemove > 35
							v.drawScaled((160+70)*FRACUNIT, (100+30)*FRACUNIT, FRACUNIT + FRACUNIT/5, v.getSpritePatch("THOK"), V_10TRANS, v.getColormap("sonic", SKINCOLOR_YELLOW))
							v.drawString(textx, texty, "\x89".."G-Inverter", V_10TRANS, "center")
						end
						if player.cmd.sidemove < -35
							v.drawScaled((160-70)*FRACUNIT, (100+30)*FRACUNIT, FRACUNIT + FRACUNIT/5, v.getSpritePatch("THOK"), V_10TRANS, v.getColormap("sonic", SKINCOLOR_YELLOW))
							v.drawString(textx, texty, "\x8D".."Jet Pack", V_10TRANS, "center")
						end
						if player.cmd.forwardmove > 35
							v.drawScaled(160*FRACUNIT, (30+30)*FRACUNIT, FRACUNIT + FRACUNIT/5, v.getSpritePatch("THOK"), V_10TRANS, v.getColormap("sonic", SKINCOLOR_YELLOW))
							v.drawString(textx, texty, "\x84Scooter", V_10TRANS, "center")
						end
						if player.cmd.forwardmove < -35
							v.drawScaled(160*FRACUNIT, (170+30)*FRACUNIT, FRACUNIT + FRACUNIT/5, v.getSpritePatch("THOK"), V_10TRANS, v.getColormap("sonic", SKINCOLOR_YELLOW))
							v.drawString(textx, texty, "\x83Teleporter", V_10TRANS, "center")
						end
					end
					if player.item >= 15
						v.drawScaled(160*FRACUNIT, 30*FRACUNIT, FRACUNIT-FRACUNIT/5, v.cachePatch("GBSCOOTER"))
					end	
					if player.item >= 30
						v.drawScaled((160-70)*FRACUNIT, 100*FRACUNIT, FRACUNIT-FRACUNIT/5, v.cachePatch("GBJETPACK"))
					end	
					if player.item >= 45
						if player.abletele == true
							v.drawScaled(160*FRACUNIT, 170*FRACUNIT, FRACUNIT-FRACUNIT/5, v.cachePatch("GBTELE"))
						else
							v.drawScaled(160*FRACUNIT, 170*FRACUNIT, FRACUNIT-FRACUNIT/5, v.cachePatch("GBTELEUSE"))
						end
					end	
					if player.item >= 60
						v.drawScaled((160+70)*FRACUNIT, 100*FRACUNIT, FRACUNIT-FRACUNIT/5, v.cachePatch("GBGRAVITY"))
					end
				end	
			end	
		end	
		if player.failscreen //Fail screen stuff
			if player.failscreen > 0
				if player.failscreen > 1
					//v.drawScaled(-500*FRACUNIT, -100*FRACUNIT, FRACUNIT*100, v.cachePatch("BLACKBG"), V_50TRANS)
					v.fadeScreen(0xFF00	, 25)
					if player.failscreen >= 5
						v.drawScaled(160*FRACUNIT, 80*FRACUNIT, FRACUNIT/2, v.cachePatch("FAILSC"), V_HUDTRANS|V_SNAPTOTOP)
						v.draw(0, 0, v.cachePatch("HENRYRETRY"), V_HUDTRANS|V_SNAPTOLEFT|V_SNAPTOBOTTOM)
					end
					if player.failscreen >= 10 and player.failwhy
						v.drawString(160, 100, player.failwhy, V_HUDTRANS|V_ALLOWLOWERCASE, "center")
						if player.failwhy2
							v.drawString(160, 110, player.failwhy2, V_HUDTRANS|V_ALLOWLOWERCASE, "center")
						end
						if player.failwhy3
							v.drawString(160, 120, player.failwhy3, V_HUDTRANS|V_ALLOWLOWERCASE, "center")
						end
						if player.failwhy4
							v.drawString(160, 130, player.failwhy4, V_HUDTRANS|V_ALLOWLOWERCASE, "center")
						end
						if player.failwhy5
							v.drawString(160, 140, player.failwhy5, V_HUDTRANS|V_ALLOWLOWERCASE, "center")
						end
						if player.failwhy6
							v.drawString(160, 150, player.failwhy6, V_HUDTRANS|V_ALLOWLOWERCASE, "center")
						end
						if player.failwhy7
							v.drawString(160, 160, player.failwhy7, V_HUDTRANS|V_ALLOWLOWERCASE, "center")
						end
						if player.failwhy8
							v.drawString(160, 170, player.failwhy8, V_HUDTRANS|V_ALLOWLOWERCASE, "center")
						end
						if player.failwhy9
							v.drawString(160, 180, player.failwhy9, V_HUDTRANS|V_ALLOWLOWERCASE, "center")
						end
						if player.failwhy10
							v.drawString(160, 190, player.failwhy10, V_HUDTRANS|V_ALLOWLOWERCASE, "center")
						end
					end
				end
				if player.failscreen == 1
					//v.drawScaled(-500*FRACUNIT, -100*FRACUNIT, FRACUNIT*100, v.cachePatch("WHITEBG"))
					v.fadeScreen(0, 10)
				end
			end
		end	
	end	
end
hud.add(HUD, "game")