//Main Script file. Should contain anything that isn't abilities or HUD.

freeslot("SKINCOLOR_STICKMIN", "SKINCOLOR_BLUEBERRY", "SKINCOLOR_CUSTOM", "SKINCOLOR_RHM")
skincolors[SKINCOLOR_STICKMIN] = {
	name = "Stickmin", 
	ramp = {1,1,5,7,8,228,229,230,231,232,233,234,235,236,237,238}, 
	invcolor = SKINCOLOR_GREY, 
	invshade = 0, 
	chatcolor = V_GRAYMAP, 
	accessible = true 
}

skincolors[SKINCOLOR_BLUEBERRY] = {
	name = "Blueberry", 
	ramp = {145,145,147,149,150,161,161,161,162,163,164,165,166,167,168,169}, 
	invcolor = SKINCOLOR_BLUE, 
	invshade = 0, 
	chatcolor = V_BLUEMAP, 
	accessible = true 
}

skincolors[SKINCOLOR_CUSTOM] = {
	name = "Custom", 
	ramp = {7,7,12,14,15,240,241,242,243,244,245,246,247,248,249,250}, 
	invcolor = SKINCOLOR_GREY, 
	invshade = 0, 
	chatcolor = V_GRAYMAP, 
	accessible = true 
}

skincolors[SKINCOLOR_RHM] = {
	name = "Right Hand Man", 
	ramp = {7,7,12,14,15,240,241,242,243,244,245,246,247,248,249,250}, 
	invcolor = SKINCOLOR_GREY, 
	invshade = 0, 
	chatcolor = V_REDMAP, 
	accessible = false 
}

local function argcheck(arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
	local num1 = tonumber(arg1)
	local num2 = tonumber(arg2)
	local num3 = tonumber(arg3)
	local num4 = tonumber(arg4)
	local num5 = tonumber(arg5)
	local num6 = tonumber(arg6)
	local num7 = tonumber(arg7)
	local num8 = tonumber(arg8)
	local num9 = tonumber(arg9)
	local num10 = tonumber(arg10)
	local num11 = tonumber(arg11)
	local num12 = tonumber(arg12)
	local num13 = tonumber(arg13)
	local num14 = tonumber(arg14)
	local num15 = tonumber(arg15)
	local num16 = tonumber(arg16)
	if num1 and num2 and num3 and num4 and num5 and num6 and 
	num7 and num8 and num9 and num10 and num11 and num12 and 
	num13 and num14 and num15 and num16
		return true
	else
		return false
	end
end

local function changecustom(player, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)  //Command
	if player.valid
	and multiplayer
		if arg1 == nil 
			CONS_Printf(player,'Make a ramp for "Custom" color.')
		else
			if argcheck(arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16)
				skincolors[SKINCOLOR_CUSTOM].ramp = {arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15, arg16}
			else
				CONS_Printf(player,"Invalid argument")
			end
		end
	else
		CONS_Printf(player,"You can only use it in Multiplayer!")
	end
end	

COM_AddCommand("henrycolor", changecustom, COM_ADMIN)

local function inverterbug(player, arg1)  //Command
	if player.valid
		if arg1 == nil 
			CONS_Printf(player,'Visible Inverter bug')
		else
			if (arg1 == "true" or arg1 == "false")
				player.visibleinverter = tostring(arg1)
			else
				CONS_Printf(player,"Invalid argument")
			end
		end
	end
end	

COM_AddCommand("inverterbug", inverterbug)

addHook("PlayerThink", function(player)
		if player.distraction == nil
			player.distraction = false
		end	
		//if player.mo.skin == "henry"
		//	if player.milnekick
		//		P_PlayJingleMusic(player, "HKICK", nil, true, JT_OTHER)
		//	end
		//end
		if (player.mo.skin == "henry")
		and player.cmd.buttons & BT_TOSSFLAG
		and P_IsObjectOnGround(player.mo)
		and player.toosflag == false
		and player.scooter != true
		and player.gadgetbox != true
			if player.distraction == false
				player.distraction = true
				P_PlayJingleMusic(player, "DSTRCT", nil, true, JT_OTHER)
				player.mo.state = S_PLAY_DISTRACTION
			elseif player.distraction == true
				P_RestoreMusic(player)
				player.distraction = false
				player.pflags = $1 & ~PF_FULLSTASIS
				player.mo.state = S_PLAY_STND
			end	
		end
		if player.distraction
			player.pflags = $|PF_FULLSTASIS
			if not P_IsObjectOnGround(player.mo)
				P_RestoreMusic(player)
				player.distraction = false
			end
			player.drawangle = player.mo.angle
		end	
		if (player.mo.state == S_PLAY_DISTRACTION)
			player.pflags = $|PF_FULLSTASIS
			if not P_IsObjectOnGround(player.mo)
				P_RestoreMusic(player)
				player.distraction = false
			end
			player.drawangle = player.mo.angle
		end	
		if player.cmd.buttons & BT_TOSSFLAG
			player.toosflag = true
		else
			player.toosflag = false
		end
end)

/*
addHook("PlayerThink", function(player) --Dance Code (Taken from Frank)
	if player.mo and player.mo.valid and player.mo.skin == "henry"
		if not (player.cmd.buttons & BT_TOSSFLAG)
			player.canpushtssflg = true
			player.pushingtssflg = false
		elseif player.canpushtssflg 
			player.pushingtssflg = true
			player.canpushtssflg = false
		else
			player.pushingtssflg = false
		end
		if G_IsSpecialStage()
		or player.panim == PA_PAIN
		or player.panim == PA_DEAD
		or player.mo.state == S_PLAY_DEAD then
			player.canpushtssflg = false
			player.pushingtssflg = false
		end
		if player.distraction
			if not (P_IsObjectOnGround(player.mo))
			and player.mo.state != S_PLAY_ROLL and not player.mo.state != S_PLAY_SPINDASH
			or player.pushingtssflg
				if player.mo.state == S_PLAY_DISTRACTION
					if player.playerstate != PST_LIVE
						player.mo.state = S_PLAY_DEAD
					else
						player.mo.state = S_PLAY_STND
					end
				end
				player.distraction = false
				P_RestoreMusic(player)
			else
				if player.mo.state != S_PLAY_DISTRACTION
					player.mo.state = S_PLAY_DISTRACTION
				end
				player.pflags = $|PF_FULLSTASIS
			end
			if player.powers[pw_carry] == CR_MACESPIN
			or (player.mo.tracer and player.mo.tracer.type == MT_TUBEWAYPOINT)
				player.mo.state = S_PLAY_ROLL
				player.distraction = false
				P_RestoreMusic(player)
			end
		elseif P_IsObjectOnGround(player.mo)
		and player.mo.state != S_PLAY_ROLL and not player.mo.state != S_PLAY_SPINDASH
		and player.pushingtssflg then
			player.distraction = true
			P_PlayJingleMusic(player, "DSTRCT", nil, true, JT_OTHER)
		end
	else
		if player.distraction
			if player.mo.state == S_PLAY_DISTRACTION
				player.mo.state = S_PLAY_STND
			end
			player.distraction = false
			P_RestoreMusic(player)
		end
	end
end)*/

addHook("PlayerSpawn", function(player)
	if not (player.mo) then return end
	player.distraction = false
	P_RestoreMusic(player)
	player.pflags = $1 & ~PF_FULLSTASIS
	if player.mo.state == S_PLAY_DISTRACTION
		player.mo.state = S_PLAY_STND
	end
	if player.mo and player.mo.valid and player.mo.skin == "henry"	
		if player.powers[pw_carry] != CR_NIGHTSMODE then player.mo.state = S_PLAY_STND end
	end
end)

addHook("ShouldJingleContinue", function(player, musname)
	if true return end
	if musname != "DSTRCT" return end
	if player and player.mo and player.mo.skin == "henry" and player.distraction
		return true
	else
		return false
	end
end)