//Freeslots used.

freeslot(
"SPR2_DSTC",
"SPR2_AFIR", 
"SPR2_BFIR", 
"S_PLAY_DISTRACTION", 
"S_PLAY_AIRFIRE", 
"S_PLAY_AIRFIRE1",
"S_PLAY_AIRFIRE2", 
"MT_BULLET", 
"sfx_gunfir",
"S_PLAY_JETFLY",
"S_PLAY_JETIDLE",
"SPR2_TAL0",
"SPR2_TAL7",
"SPR2_TALA",
"SPR2_TALB",
"SPR_JETF",
"SPR_JETI",
"SPR2_THNK",
"S_PLAY_THINK",
"SPR_INV1",
"SPR_INV2",
"S_INVERTUP1",
"S_INVERTDOWN1",
"S_INVERTUP2",
"S_INVERTDOWN2",
"S_INVERTUP3",
"S_INVERTDOWN3",
"S_GDOWN",
"S_GUP",
"S_SCOOTER_STAND",
"S_SCOOTER_PAIN",
"S_SCOOTER_RUN",
"S_SCOOTER_JUMP",
"SPR2_SCST",
"SPR2_SCMO",
"SPR2_SCJU",
"SPR2_SCPA",
"S_PLAY_TPSTART1",
"S_PLAY_TPEND1",
"S_PLAY_TPSTART2",
"S_PLAY_TPEND2",
"S_PLAY_TPSTART3",
"S_PLAY_TPEND3",
"S_PLAY_TPSTART4",
"S_PLAY_TPEND4",
"S_PLAY_TPSTART5",
"S_PLAY_TPEND5",
"SPR2_TLAS",
"SPR2_TLAE",
"SPR2_TLBS",
"SPR2_TLBE",
"SPR2_TLCS",
"SPR2_TLCE",
"SPR2_TLDS",
"SPR2_TLDE",
"SPR2_TLES",
"SPR2_TLEE",
"SPR_JTPI",
"SPR_JTPF",
"S_JETPACKFLY1",
"S_JETPACKFLY2",
"S_JETPACKIDLE",
"MT_JETPACK",
"S_SCOOTER_BYE1",
"S_SCOOTER_BYE2",
"SPR2_SCBM",
"SPR2_SCBJ"
)

//States

states[S_PLAY_DISTRACTION] = {SPR_PLAY, SPR2_DSTC, 3, nil, 0, 0, S_PLAY_DISTRACTION}
states[S_PLAY_AIRFIRE1] = {SPR_PLAY, SPR2_AFIR, 5, nil, 0, 0, S_PLAY_AIRFIRE2}
states[S_PLAY_AIRFIRE2] = {SPR_PLAY, SPR2_BFIR, 5, nil, 0, 0, S_PLAY_AIRFIRE2}
states[S_PLAY_THINK] = {SPR_PLAY, SPR2_THNK, 5, nil, 0, 0, S_PLAY_THINK}
states[S_JETPACKIDLE] = {SPR_JTPI, A, 2, nil, 0, 0, S_JETPACKIDLE}
states[S_JETPACKFLY1] = {SPR_JTPF, A, 2, nil, 0, 0, S_JETPACKFLY2}
states[S_JETPACKFLY2] = {SPR_JTPF, B, 2, nil, 0, 0, S_JETPACKFLY1}
/*states[S_PLAY_TPSTART1] = {SPR_PLAY, FF_SPR2ENDSTATE|SPR2_TLAS, 5, nil, S_PLAY_TPSTART1, 0, S_PLAY_TPEND1}
states[S_PLAY_TPSTART2] = {SPR_PLAY, FF_SPR2ENDSTATE|SPR2_TLBS, 5, nil, S_PLAY_TPSTART2, 0, S_PLAY_TPEND2}
states[S_PLAY_TPSTART3] = {SPR_PLAY, FF_SPR2ENDSTATE|SPR2_TLCS, 5, nil, S_PLAY_TPSTART3, 0, S_PLAY_TPEND3}
states[S_PLAY_TPSTART4] = {SPR_PLAY, FF_SPR2ENDSTATE|SPR2_TLDS, 5, nil, S_PLAY_TPSTART4, 0, S_PLAY_TPEND4}
states[S_PLAY_TPSTART5] = {SPR_PLAY, FF_SPR2ENDSTATE|SPR2_TLES, 5, nil, S_PLAY_TPSTART5, 0, S_PLAY_TPEND5}
states[S_PLAY_TPEND1] = {SPR_PLAY, FF_SPR2ENDSTATE|SPR2_TLAE, 5, nil, S_PLAY_TPEND1, 0, S_PLAY_STND}
states[S_PLAY_TPEND2] = {SPR_PLAY, FF_SPR2ENDSTATE|SPR2_TLBE, 5, nil, S_PLAY_TPEND2, 0, S_PLAY_STND}
states[S_PLAY_TPEND3] = {SPR_PLAY, FF_SPR2ENDSTATE|SPR2_TLCE, 5, nil, S_PLAY_TPEND3, 0, S_PLAY_STND}
states[S_PLAY_TPEND4] = {SPR_PLAY, FF_SPR2ENDSTATE|SPR2_TLDE, 5, nil, S_PLAY_TPEND4, 0, S_PLAY_STND}
states[S_PLAY_TPEND5] = {SPR_PLAY, FF_SPR2ENDSTATE|SPR2_TLEE, 5, nil, S_PLAY_TPEND5, 0, S_PLAY_STND}*/

mobjinfo[MT_JETPACK] = {
	doomednum = 42,
	spawnstate = S_JETPACKIDLE,
	spawnhealth = 9999,
	reactiontime = TICRATE,
	speed = 10,
	radius = 1*FRACUNIT,
	height = 32*FRACUNIT,
	dispoffset = 0,
	mass = 100,
	damage = 0,
	flags = MF_NOGRAVITY|MF_NOBLOCKMAP|MF_NOCLIP|MF_NOCLIPHEIGHT,
}

//Scooter
states[S_SCOOTER_JUMP] = {
	sprite = SPR_PLAY,
	frame = SPR2_SCJU,
	tics = 2,
	nextstate = S_SCOOTER_JUMP
}
states[S_SCOOTER_RUN] = {
	sprite = SPR_PLAY,
	frame = SPR2_SCMO,
	tics = 2,
	nextstate = S_SCOOTER_RUN
}

states[S_SCOOTER_BYE1] = {
	sprite = SPR_PLAY,
	frame = SPR2_SCBJ,
	tics = 15,
	nextstate = S_SCOOTER_BYE2
}

states[S_SCOOTER_BYE2] = {
	sprite = SPR_PLAY,
	frame = SPR2_SCBM,
	tics = 2,
	nextstate = S_SCOOTER_BYE2
}
states[S_SCOOTER_PAIN] = {
	sprite = SPR_PLAY,
	frame = SPR2_SCPA,
	tics = 2,
	nextstate = S_SCOOTER_PAIN
}
states[S_SCOOTER_STAND] = {
	sprite = SPR_PLAY,
	frame = SPR2_SCST,
	tics = 2,
	nextstate = S_SCOOTER_STAND
}
//Scooter end

//Teleport
states[S_PLAY_TPSTART1] = {
    sprite = SPR_PLAY,
    frame = SPR2_TLAS,
    tics = 3,
    var1 = S_PLAY_TPSTART1,
    nextstate = S_PLAY_TPSTART1
}
states[S_PLAY_TPSTART2] = {
    sprite = SPR_PLAY,
    frame = SPR2_TLBS,
    tics = 3,
    var1 = S_PLAY_TPSTART2,
    nextstate = S_PLAY_TPSTART2
}
states[S_PLAY_TPSTART3] = {
    sprite = SPR_PLAY,
    frame = SPR2_TLCS,
    tics = 3,
    var1 = S_PLAY_TPSTART3,
    nextstate = S_PLAY_TPSTART3
}
states[S_PLAY_TPSTART4] = {
    sprite = SPR_PLAY,
    frame = SPR2_TLDS,
    tics = 3,
    var1 = S_PLAY_TPSTART4,
    nextstate = S_PLAY_TPSTART4
}
states[S_PLAY_TPSTART5] = {
    sprite = SPR_PLAY,
    frame = SPR2_TLES,
    tics = 3,
    var1 = S_PLAY_TPSTART5,
    nextstate = S_PLAY_TPSTART5
}



states[S_PLAY_TPEND1] = {
    sprite = SPR_PLAY,
    frame = SPR2_TLAE,
    tics = 3,
    var1 = S_PLAY_TPEND1,
    nextstate = S_PLAY_TPEND1
}
states[S_PLAY_TPEND2] = {
    sprite = SPR_PLAY,
    frame = SPR2_TLBE,
    tics = 3,
    var1 = S_PLAY_TPEND2,
    nextstate = S_PLAY_TPEND2
}
states[S_PLAY_TPEND3] = {
    sprite = SPR_PLAY,
    frame = SPR2_TLCE,
    tics = 3,
    var1 = S_PLAY_TPEND3,
    nextstate = S_PLAY_TPEND3
}
states[S_PLAY_TPEND4] = {
    sprite = SPR_PLAY,
    frame = SPR2_TLDE,
    tics = 3,
    var1 = S_PLAY_TPEND4,
    nextstate = S_PLAY_TPEND4
}
states[S_PLAY_TPEND5] = {
    sprite = SPR_PLAY,
    frame = SPR2_TLEE,
    tics = 3,
    var1 = S_PLAY_TPEND5,
	nextstate = S_PLAY_TPEND5
}
    
//Teleport end

//Sounds
freeslot("sfx_selsco", "sfx_selgin", "sfx_seltel", "sfx_seljet")

freeslot("MT_HENRY_BOOST", "S_HENRY_BOOST")

mobjinfo[MT_HENRY_BOOST] = {
	spawnstate = S_HENRY_BOOST,
	speed = 15*FRACUNIT,
	flags = MF_NOBLOCKMAP|MF_NOGRAVITY|MF_NOCLIP
}


states[S_HENRY_BOOST] = {SPR_MISL, A|FF_PAPERSPRITE, -1, nil, 0, 0, S_NULL}
